TikTok
Publish Fluid products to the connected TikTok Shop
Creates a draft listing per requested product (skipping ones already listed and still active) and enqueues a publish job per listing.
POST
/
api
/
v202506
/
tiktok
/
product_listings
Publish Fluid products to the connected TikTok Shop
curl --request POST \
--url https://api.fluid.app/api/v202506/tiktok/product_listings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_ids": [
91274,
91302
]
}
'import requests
url = "https://api.fluid.app/api/v202506/tiktok/product_listings"
payload = { "product_ids": [91274, 91302] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_ids: [91274, 91302]})
};
fetch('https://api.fluid.app/api/v202506/tiktok/product_listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_listings": [
{
"id": 27430,
"tiktok_product_id": null,
"product_id": 91274,
"tiktok_category_id": null,
"status": "draft",
"audit_status": null,
"last_published_at": null,
"last_synced_at": null,
"last_error": null
},
{
"id": 27431,
"tiktok_product_id": null,
"product_id": 91302,
"tiktok_category_id": null,
"status": "draft",
"audit_status": null,
"last_published_at": null,
"last_synced_at": null,
"last_error": null
}
],
"status": 201,
"meta": {
"request_uuid": "8b4e2f71-3c9a-4d6e-b1f0-5a7c9e2d4b18",
"timestamp": "2026-09-30T16:42:11Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}⌘I
Publish Fluid products to the connected TikTok Shop
